Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.domain
Class LineItem

    java.lang.Object
      com.ibatis.jpetstore.domain.LineItem

All Implemented Interfaces:
  Serializable

public class LineItem
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private Item` | `item`
`private String` | `itemId`
`private int` | `lineNumber`
`private int` | `orderId`
`private int` | `quantity`
`private BigDecimal` | `total`
`private BigDecimal` | `unitPrice`

Constructor Summary
`LineItem()`
`LineItem(int lineNumber, CartItem cartItem)`

Method Summary
`private void` | `calculateTotal()`
`Item` | `getItem()`
`String` | `getItemId()`
`int` | `getLineNumber()`
`int` | `getOrderId()`
`int` | `getQuantity()`
`BigDecimal` | `getTotal()`
`BigDecimal` | `getUnitPrice()`
`void` | `setItem(Item item)`
`void` | `setItemId(String itemId)`
`void` | `setLineNumber(int lineNumber)`
`void` | `setOrderId(int orderId)`
`void` | `setQuantity(int quantity)`
`void` | `setUnitPrice(BigDecimal unitprice)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderId

    private int orderId

### lineNumber

    private int lineNumber

### quantity

    private int quantity

### itemId

    private String itemId

### unitPrice

    private BigDecimal unitPrice

### item

    private Item item

### total

    private BigDecimal total

Constructor Detail

### LineItem

    public LineItem()

### LineItem

    public LineItem(int lineNumber,
                    CartItem cartItem)

Method Detail

### getOrderId

    public int getOrderId()

### setOrderId

    public void setOrderId(int orderId)

### getLineNumber

    public int getLineNumber()

### setLineNumber

    public void setLineNumber(int lineNumber)

### getItemId

    public String getItemId()

### setItemId

    public void setItemId(String itemId)

### getUnitPrice

    public BigDecimal getUnitPrice()

### setUnitPrice

    public void setUnitPrice(BigDecimal unitprice)

### getTotal

    public BigDecimal getTotal()

### getItem

    public Item getItem()

### setItem

    public void setItem(Item item)

### getQuantity

    public int getQuantity()

### setQuantity

    public void setQuantity(int quantity)

### calculateTotal

    private void calculateTotal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.